Package com.smartgwt.logicalstructure.widgets.layout

# Class SectionStackLogicalStructure

java.lang.Object
com.smartgwt.logicalstructure.core.LogicalStructureObject
com.smartgwt.logicalstructure.widgets.BaseWidgetLogicalStructure
com.smartgwt.logicalstructure.widgets.CanvasLogicalStructure
com.smartgwt.logicalstructure.widgets.layout.LayoutLogicalStructure
com.smartgwt.logicalstructure.widgets.layout.VLayoutLogicalStructure
com.smartgwt.logicalstructure.widgets.layout.SectionStackLogicalStructure

public class SectionStackLogicalStructure extends VLayoutLogicalStructure

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `String`
  `animateSections`
  `String`
  `canCloseSections`
  `String`
  `canCollapseAll`
  `String`
  `canDropComponents`
  `String`
  `canReorderSections`
  `String`
  `canResizeSections`
  `String`
  `canTabToHeaders`
  `String`
  `closeSectionButtonConstructor`
  `String`
  `closeSectionIcon`
  `String`
  `closeSectionIconSize`
  `String`
  `editProxyConstructor`
  `String`
  `headerHeight`
  `String`
  `itemEndIndent`
  `String`
  `itemIndent`
  `String`
  `itemStartIndent`
  `String`
  `locateSectionsBy`
  `String`
  `locateSectionsType`
  `String`
  `overflow`
  `String`
  `scrollSectionIntoView`
  `String`
  `sectionHeaderClass`
  `String`
  `showExpandControls`
  `String`
  `styleName`
  `String`
  `useGlobalSectionIDs`
  `String`
  `visibilityMode`

  ### Fields inherited from class com.smartgwt.logicalstructure.widgets.layout.LayoutLogicalStructure

  `alignAsString, animateMembers, animateMemberTime, defaultLayoutAlignAsString, defaultResizeBars, dropLineThickness, enforcePolicy, hPolicy, layoutBottomMargin, layoutEndMargin, layoutLeftMargin, layoutMargin, layoutRightMargin, layoutStartMargin, layoutTopMargin, leaveScrollbarGap, locateMembersBy, locateMembersType, managePercentBreadth, memberOverlap, membersAsCanvasArray, membersAsStringArrayArray, membersMargin, minMemberLength, minMemberSize, paddingAsLayoutMargin, resizeBarClass, resizeBarSize, reverseOrder, showDragPlaceHolder, showDropLines, stackZIndex, vertical, vPolicy`

  ### Fields inherited from class com.smartgwt.logicalstructure.widgets.CanvasLogicalStructure

  `accessKey, adaptiveHeightPriority, adaptiveWidthPriority, alwaysManageFocusNavigation, alwaysShowScrollbars, animateAcceleration, animateFadeTime, animateHideAcceleration, animateHideTime, animateMoveAcceleration, animateMoveTime, animateRectAcceleration, animateRectTime, animateResizeAcceleration, animateResizeLayoutMode, animateResizeTime, animateScrollAcceleration, animateScrollTime, animateShowAcceleration, animateShowTime, animateTime, appImgDir, ariaRole, autoMaskComponents, autoParent, autoPopulateData, autoRevertStyles, autoShowParent, backgroundColor, backgroundImage, backgroundPosition, backgroundRepeat, border, borderRadiusAsString, canAcceptDrop, canAdaptHeight, canAdaptWidth, canDrag, canDragReposition, canDragResize, canDragScroll, canDrop, canDropBefore, canDropContent, canDropFiles, canFocus, canHover, canSelectText, canvasItem, childrenAsCanvasArray, childrenAsStringArrayArray, childrenResizeSnapAlign, childrenSnapAlign, childrenSnapCenterAlign, childrenSnapEdgeAlign, childrenSnapResizeToGrid, childrenSnapToGrid, contents, contentsComponentDefaults, contextMenu, correctZoomOverflow, cursor, dataContext, dataPath, defaultHeight, defaultWidth, deferActionConversion, definingProperty, definingPropertyNameOptions, destroyed, destroying, disabled, disabledCursor, disableTouchScrollingForDrag, doubleClickDelay, dragAppearance, dragIntersectStyle, dragMaskType, dragMaxHeight, dragMaxWidth, dragMinHeight, dragMinWidth, dragOpacity, dragRepositionAppearance, dragRepositionCursor, dragResizeAppearance, dragScrollDelay, dragStartDistance, dragTargetAsCanvas, dragTargetAsString, dragType, dropTargetAsCanvas, dropTargetAsString, dropTypesAsStringArrayArray, dynamicContents, edgeBackgroundColor, edgeCenterBackgroundColor, edgeImage, edgeMarginSize, edgeOffset, edgeOpacity, edgeShowCenter, edgeSize, editNode, enableWhen, endLine, extraSpace, floatingScrollbars, forwardSVGeventsToObject, groupBorderCSS, groupLabelBackgroundColor, groupLabelStyleName, groupPadding, groupTitle, heightAsString, hideUsingDisplayNone, hoverAlign, hoverAutoDestroy, hoverAutoFitMaxWidthAsString, hoverAutoFitWidth, hoverDelay, hoverFocusKey, hoverHeight, hoverMoveWithMouse, hoverOpacity, hoverPersist, hoverScreen, hoverStyle, hoverVAlign, hoverWidth, hoverWrap, htmlElementAsString, htmlPosition, ID, isGroup, isPrinting, isRuleScope, isSnapAlignCandidate, keepInParentRectAsString, layoutAlignAsString, leaveGroupLabelSpace, leavePageSpace, leftAsString, locateByIDOnly, locateChildrenBy, locateChildrenType, locatePeersBy, locatePeersType, locatorName, margin, masterElement, matchElement, matchElementHeight, matchElementWidth, maxHeight, maxWidth, maxZoomOverflowError, menuConstructorAsString, minHeight, minNonEdgeSize, minWidth, momentumScrollMinSpeed, mouseStillDownDelay, mouseStillDownInitialDelay, name, nativeAutoHideScrollbars, noDoubleClicks, noDropCursor, opacity, padding, parentCanvasAsCanvas, parentCanvasAsString, parentElementAsCanvas, parentElementAsString, peers, pendingMarkerStyle, pendingMarkerVisible, percentBox, percentSource, persistentMatchElement, pointerSettings, pointerTargetAsString, position, printChildrenAbsolutelyPositioned, printStyleName, prompt, proportionalResizeModifiers, proportionalResizing, receiveScrollbarEvents, redrawOnResize, resizeBarTarget, resizeFrom, ruleScope, scrollbarSize, shadowColor, shadowDepth, shadowHOffset, shadowImage, shadowOffset, shadowSoftness, shadowSpread, shadowVOffset, shareCriteria, shouldPrint, showCustomScrollbars, showDragShadow, showEdges, showFocusOutline, showHover, showHoverComponents, showPointer, showResizeBar, showShadow, showSnapGrid, shrinkElementOnHide, singleDiv, sizeMayChangeOnRedraw, skinImgDir, snapAlignCandidates, snapAlignCenterLineStyle, snapAlignEdgeLineStyle, snapAxis, snapEdge, snapGridStyle, snapHDirection, snapHGap, snapOffsetLeft, snapOffsetTop, snapOnDrop, snapResizeToAlign, snapResizeToGrid, snapTo, snapToAlign, snapToCenterAlign, snapToEdgeAlign, snapToGrid, snapVDirection, snapVGap, startLine, suppressRedraw, tabIndex, testDataContext, topAsString, topElement, updateTabPositionOnDraw, updateTabPositionOnReparent, useBackMask, useCSSShadow, useDataContextCriteria, useDragMask, useGeneratedStyles, useImageForSVG, useNativeDrag, useOpacityFilter, useTouchScrolling, valuesManagerAsString, valuesManagerAsValuesManager, visibility, visibleWhen, widthAsString, workflows`

  ### Fields inherited from class com.smartgwt.logicalstructure.widgets.BaseWidgetLogicalStructure

  `autoDraw`

  ### Fields inherited from class com.smartgwt.logicalstructure.core.LogicalStructureObject

  `logicalStructureErrors, scClassName`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `SectionStackLogicalStructure()`

- ## Method Summary

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Field Details

  - ### animateSections

    public String animateSections

  - ### canCloseSections

    public String canCloseSections

  - ### canCollapseAll

    public String canCollapseAll

  - ### canDropComponents

    public String canDropComponents

  - ### canReorderSections

    public String canReorderSections

  - ### canResizeSections

    public String canResizeSections

  - ### canTabToHeaders

    public String canTabToHeaders

  - ### closeSectionButtonConstructor

    public String closeSectionButtonConstructor

  - ### closeSectionIcon

    public String closeSectionIcon

  - ### closeSectionIconSize

    public String closeSectionIconSize

  - ### editProxyConstructor

    public String editProxyConstructor

  - ### headerHeight

    public String headerHeight

  - ### itemEndIndent

    public String itemEndIndent

  - ### itemIndent

    public String itemIndent

  - ### itemStartIndent

    public String itemStartIndent

  - ### locateSectionsBy

    public String locateSectionsBy

  - ### locateSectionsType

    public String locateSectionsType

  - ### overflow

    public String overflow

  - ### scrollSectionIntoView

    public String scrollSectionIntoView

  - ### sectionHeaderClass

    public String sectionHeaderClass

  - ### showExpandControls

    public String showExpandControls

  - ### styleName

    public String styleName

  - ### useGlobalSectionIDs

    public String useGlobalSectionIDs

  - ### visibilityMode

    public String visibilityMode

- ## Constructor Details

  - ### SectionStackLogicalStructure

    public SectionStackLogicalStructure()